Creates a new job_priority object

Request Information

URI Parameters :

None.

Body Parameters :

job_priority
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the priority

string

Required

Max length: 50

is_default

If default, will be auto selected when creating new jobs

boolean
sequence

Sorting field (0 first)

integer
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating job_priority

string
sales_organization

Embedded entity "sales_organization" when adding/updating job_priority

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "af1e646b-8ad4-470c-8882-3b9141983062",
  "name": "sample string 2",
  "is_default": true,
  "sequence": 4,
  "sales_organization_id": "00ca5285-0547-4048-b1d1-c872cdd329cc",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "ec91a8bb-202c-4d33-b723-7658f6b19866",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "270b1759-5eb4-44fb-aace-4d3bc7a3d307",
    "db_currency_id": "46d11e18-c0e6-4875-9ad1-1a4a2647e2dc",
    "db_language_id": "9cf4bf32-7f55-4727-805a-9d7a48d3e964",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-09-18T13:42:45.1157666+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-09-18T13:42:45.1157666+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.